org.eclipse.net4j.db

## Interface IDBPreparedStatement

- All Superinterfaces:
    AutoCloseable, Comparable<IDBPreparedStatement>, PreparedStatement, Statement, Wrapper

      public interface IDBPreparedStatement
      extends Comparable<IDBPreparedStatement>, PreparedStatement

  Since:
    4.2
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDBPreparedStatement.ReuseProbability` An enum for the degree of probability to which a prepared statement is reused later on.

  - ### Field Summary

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDBResultSet` | `executeQuery()`
    `ResultSet` | `executeQuery(String sql)` Deprecated. Not supported.
    `IDBConnection` | `getConnection()`
    `IDBResultSet` | `getGeneratedKeys()`
    `IDBResultSet` | `getResultSet()`
    `IDBPreparedStatement.ReuseProbability` | `getReuseProbability()`
    `String` | `getSQL()`
    `IDBConnection` | `getTransaction()` Deprecated. As of 4.3 use `getConnection()`.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `addBatch, clearParameters, execute, executeLargeUpdate, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getFetchDirection, getFetchSize, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### getConnection

          IDBConnection getConnection()
                               throws SQLException

      Specified by:
        `getConnection` in interface `Statement`
      Throws:
        `SQLException`
      Since:
        4.3

    - #### getTransaction

          @Deprecated
          IDBConnection getTransaction()

      Deprecated. As of 4.3 use `getConnection()`.

    - #### getSQL

          String getSQL()

    - #### getReuseProbability

          IDBPreparedStatement.ReuseProbability getReuseProbability()

    - #### getGeneratedKeys

          IDBResultSet getGeneratedKeys()
                                 throws SQLException

      Specified by:
        `getGeneratedKeys` in interface `Statement`
      Throws:
        `SQLException`

    - #### getResultSet

          IDBResultSet getResultSet()
                             throws SQLException

      Specified by:
        `getResultSet` in interface `Statement`
      Throws:
        `SQLException`

    - #### executeQuery

          IDBResultSet executeQuery()
                             throws SQLException

      Specified by:
        `executeQuery` in interface `PreparedStatement`
      Throws:
        `SQLException`

    - #### executeQuery

          @Deprecated
          ResultSet executeQuery(String sql)
                                       throws SQLException

      Deprecated. Not supported.
      Specified by:
        `executeQuery` in interface `Statement`
      Throws:
        `SQLException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html